Bug 208577 - security/sslscan: Upgrade to 1.11.5
Summary: security/sslscan: Upgrade to 1.11.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-06 12:38 UTC by Gavin Atkinson
Modified: 2016-05-26 22:13 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Diff for 1.11.5 (7.01 KB, patch)
2016-04-06 12:38 UTC, Gavin Atkinson
no flags Details | Diff
Update to 1.11.6 (7.54 KB, patch)
2016-05-26 19:03 UTC, Gavin Atkinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gavin Atkinson freebsd_committer freebsd_triage 2016-04-06 12:38:42 UTC
Created attachment 169034 [details]
Diff for 1.11.5

The existing security/sslscan port is old, and doesn't even support TLS1.1/TLS1.2, making it .  Upstream seem to have basically abandoned it, and somebody has forked it and continued development on it.  Switch the port to this fork, and update to 1.11.5.

Note that this reverts the last major commit to the port (r382059) as that has already been incorporated upstream, in a different way.

Gavin
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2016-04-06 12:40:29 UTC
Should there be a maintainer timeout on this, I'm happy to take over maintainership.

Gavin
Comment 2 Kurt Jaeger freebsd_committer 2016-04-06 13:43:07 UTC
Testbuilds OK on 11a, 10.3a, 10.3i, fails on 9.3a:

http://people.freebsd.org/~pi/logs/security__sslscan-93a-1459949750.txt
Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2016-04-06 17:18:27 UTC
ACK, thanks; I had tested on 10 and 11, but not 9.  I think I have a patch for this, I will test it and update the PR tomorrow.
Comment 4 Michael Osipov 2016-04-08 10:42:38 UTC
(In reply to Gavin Atkinson from comment #0)

Hi Gavin,

why use use GH_TAGNAME = ${PORTVERSION}-${GH_ACCOUNT}? This is update-savvy.

Just tried to apply your patch on 9.3-RELEASE to:
root@blnn719x - /usr/ports/security/sslscan
2077 # LANG=C svn info
Path: .
Working Copy Root Path: /usr/ports
URL: https://svn0.us-east.freebsd.org/ports/head/security/sslscan
Relative URL: ^/head/security/sslscan
Repository Root: https://svn0.us-east.freebsd.org/ports
Repository UUID: 35697150-7ecd-e111-bb59-0022644237b5
Revision: 412726
Node Kind: directory
Schedule: normal
Last Changed Author: jkim
Last Changed Rev: 382059
Last Changed Date: 2015-03-24 01:28:49 +0100 (Tue, 24 Mar 2015)

it does not work:
root@blnn719x - /usr/ports/security/sslscan
2080 # LANG=C svn patch 1.11.5.patch
U         Makefile
U         distinfo
C         files/patch-Makefile
>         rejected hunk @@ -1,22 +1,33 @@
C         files/patch-sslscan.c
>         rejected hunk @@ -1,120 +1,11 @@
Summary of conflicts:
  Text conflicts: 2
Comment 5 Gavin Atkinson freebsd_committer freebsd_triage 2016-05-26 19:03:37 UTC
Created attachment 170696 [details]
Update to 1.11.6
Comment 6 Gavin Atkinson freebsd_committer freebsd_triage 2016-05-26 19:11:09 UTC
This new patch updates to 1.11.6 (which has no functional difference to 1.11.5 on FreeBSD but keeps us up-to-date with upstream) and fixes the build issue on FreeBSD 9.  I cannot recreate Michael Osipov's patch failure with the newest version of the patch either.

Gavin
Comment 7 Michael Osipov 2016-05-26 19:34:30 UTC
(In reply to Gavin Atkinson from comment #6)

I will retry your patch shortly on 9.3-RELEASE and 10.3-RELEASE and let you know.

Note that if you have OpenSSL in place, you should leave the option wether from base or ports. Accordingly CFLAGS and LDFLAGS need to be changed. Some of there I have fixed and reported already:

https://github.com/rbsec/sslscan/pull/91
https://github.com/rbsec/sslscan/pull/90
Comment 8 Kurt Jaeger freebsd_committer 2016-05-26 19:47:20 UTC
testbuilds of 1.11.6 are fine on all versions, even 9.x 8-}
Comment 9 commit-hook freebsd_committer 2016-05-26 19:55:40 UTC
A commit references this bug:

Author: pi
Date: Thu May 26 19:55:12 UTC 2016
New revision: 415911
URL: https://svnweb.freebsd.org/changeset/ports/415911

Log:
  security/sslscan: 1.8.2 -> 1.11.6

  - lots of changes since 2010

  PR:		208577
  Submitted by:	gavin
  Approved by:	Matthieu BOUTHORS <matthieu@labs.fr> (maintainer timeout)

Changes:
  head/security/sslscan/Makefile
  head/security/sslscan/distinfo
  head/security/sslscan/files/patch-Makefile
  head/security/sslscan/files/patch-sslscan.c
Comment 10 commit-hook freebsd_committer 2016-05-26 19:57:43 UTC
A commit references this bug:

Author: pi
Date: Thu May 26 19:56:40 UTC 2016
New revision: 415912
URL: https://svnweb.freebsd.org/changeset/ports/415912

Log:
  security/sslscan: submitter becomes maintainer

  PR:		208577
  Submitted by:	gavin

Changes:
  head/security/sslscan/Makefile
Comment 11 Kurt Jaeger freebsd_committer 2016-05-26 20:07:39 UTC
Committed, thanks!
Comment 12 Michael Osipov 2016-05-26 22:13:07 UTC
Works like a charm on 10.3-RELEASE and 9.3-RELEASE from ports.